#
# spec file for package libiniparser (Version 2.17)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib

Name:           libiniparser
Version:        2.17
Release:        25.1
License:        X11/MIT
Group:          System/Libraries
Url:            http://ndevilla.free.fr/iniparser/
AutoReqProv:    on
Summary:        Library to parse ini files
Source:         http://ndevilla.free.fr/iniparser/iniparser-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libiniparser offers parsing of ini files from the C level.



Authors:
--------
    Nicolas Devillard <ndevilla at free dot fr>

%debug_package
%package devel
Summary:        Libraries and Header Files to Develop Programs with libiniparser Support
Group:          System/Libraries
AutoReqProv:    on
Requires:       libiniparser = %{version}

%description devel
This package contains the static libraries and header files needed to
develop programs which make use of the libiniparser programming
interface.

The libiniparser offers parsing of ini files from the C level.	See a
complete documentation in HTML format, from the
/usr/share/doc/packages/libiniparser-devel directory open the file
html/index.html with any HTML-capable browser.



Authors:
--------
    Nicolas Devillard <ndevilla at free dot fr>

%prep
%setup -n iniparser-%{version}

%build
%{__make} default check

%install
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p \
	${RPM_BUILD_ROOT}/%{_includedir} \
	${RPM_BUILD_ROOT}/%{_libdir}
install -m 0755 libiniparser.{a,so.0} ${RPM_BUILD_ROOT}/%{_libdir}
install -m 0644 src/{dictionary,iniparser}.h ${RPM_BUILD_ROOT}/%{_includedir}
ln -s libiniparser.so.0 ${RPM_BUILD_ROOT}/%{_libdir}/libiniparser.so

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_libdir}/libiniparser.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/dictionary.h
%{_includedir}/iniparser.h
%{_libdir}/libiniparser.a
%{_libdir}/libiniparser.so
%doc html
%changelog
* Sun May 27 2007 - lmuelle@suse.de
- Update to version 2.17.
  + Apply some const and fix c++ warnings.
  + Merge revision 19928 from samba.org subversion.
  + Applied patches to the Makefile to build a shared library.
* Sun May 20 2007 - lmuelle@suse.de
- Remove requires on release from devel packages.
* Wed Sep 27 2006 - gd@suse.de
- Update to version 2.15
  - documentation fixes
* Tue Apr 11 2006 - lmuelle@suse.de
- Inital SuSE RPM.
